Will 2.0 work with...

Discussion in 'iPhone' started by Elite Aaron, Jul 10, 2008.

  1. Elite Aaron macrumors member

    Joined:
    Jan 30, 2008
    Location:
    Oklahoma
    #1
    I've got a jailbroken iPhone with modem firmware 04.05.01_G. Will I be able to update to 2.0 when it goes live? Or will I have to restore the iPhone?

    And if I do have to restore to the previous modem firmware, how do I do it?
    Thanks!

    -Aaron
     
  2. geeb macrumors regular

    Joined:
    Jul 1, 2008
    #2
    Well a restore via DFU to the new fw is recommended but depends on the jailbreak.


    PS, if you NEED it jailbroken or unlocked...WAIT for instructions.
     
  3. Elite Aaron thread starter macrumors member

    Joined:
    Jan 30, 2008
    Location:
    Oklahoma
    #3
    Thing is that I get an error code when restoring that method in iTunes. I have to restore the iPhone, and run ZiPhone when I get the iTunes error message to get it to work. Is there an Installer app that erases the firmware?
     
  4. geeb macrumors regular

    Joined:
    Jul 1, 2008
    #4
    Well your first mistake is using Ziphone.

    Use iLiberty+.

    What is the error message?
     
  5. Elite Aaron thread starter macrumors member

    Joined:
    Jan 30, 2008
    Location:
    Oklahoma
    #5

    Is ZiPhone bad?

    It's been a while since I've restored, but I think the error message was "1014". Can't remember for sure though.
     

Share This Page